import type { _CMLogItem } from "./CMLogItem.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
export declare class _CMAmbientPressureData extends _CMLogItem {
    static alloc(): _CMAmbientPressureData;
    static new(): _CMAmbientPressureData;
    init(): _CMAmbientPressureData;
    /**
     * Discussion: The pressure as measured by the pressure sensor. Pressure is in kPa (kilopascals).
     */
    pressure(): _NSMeasurement;
    /**
     * Discussion: The temperature as measured by the pressure sensor. Temperature is in C (degrees centrigrade).
     */
    temperature(): _NSMeasurement;
}
